Plugins required for Benchmark WordPress Theme

Page Builder Extended

Version 2.10.6.1

This is the modified version of Page Builder by SiteOrigin. It makes easy to build responsive grid-based page content that adapts to mobile devices with pixel perfect accuracy. It's a powerful enhancement to the WordPress content editing experience, yet it feels entirely familiar.

NOTE: At the moment, the version 2.10.6.1 of plugin is required for installing with the theme.

Download Plugin

Benchmark Custom Post Types

Version 1.2

This plugin registers all the custom post types and taxonomies for categories/groups needed for Benchmark WordPress theme.

NOTE: This plugin is required for installing with the theme.

Download Plugin

Benchmark Utilities

Version 1.1

Utilities for the Benchmark WordPress theme:

  1. Displaying the social sharing section (social share buttons) in a single post,
  2. Processing the data received from a contact/subscription form and sending the email message.

NOTE: This plugin is required for installing with the theme.

Download Plugin

Meta Box

Latest Version

A powerful, professional, and lightweight toolkit for developers to create unlimited custom meta boxes and WordPress custom fields.

NOTE: This plugin is required for installing with the theme.

WordPress.org Plugin Page

One Click Demo Import

Latest Version

This plugin provides a simple way for theme authors to set up the process of importing the demo data for their WordPress themes, so that the end users need only to click on the "Import Demo Data" button to install the demo.

NOTE: This plugin is required for installing with the theme.

WordPress.org Plugin Page

Classic Editor

Latest Version

This plugin restores the "classic" WordPress editor and the "Edit Post" screen. It makes it possible to use plugins that extend that screen, add meta boxes, or otherwise depend on the "classic" editor. The plugin hides all functionality available in the new Block Editor ("Gutenberg").

NOTE: This plugin is required for installing with the theme if you use WordPress 5.0 or higher.

WordPress.org Plugin Page

Classic Widgets

Latest Version

This plugin restores the "classic" WordPress widgets settings screens in Appearance – Widgets and the Customizer. Disables the block editor from managing widgets.

NOTE: This plugin is required for installing with the theme if you use WordPress 5.8 or higher.

WordPress.org Plugin Page
Plugins recommended for Benchmark WordPress Theme

Twitter Feed OAuth

Version 1.2.1

Provides a Twitter API 1.1 compliant method to handle the server-side authentication process and get an array of tweets from the authenticated user's Twitter feed. This plugin is based on Tweet.js-Mod by Stan Scates.

NOTE: This plugin is required to be installed if the Twitter Feed widget is used in the theme.

Download Plugin